﻿using System;
using System.Windows.Forms;

namespace Example_Variable_Driver
{
    public partial class ErrorVarDialog : Form
    {
        MLogics.VisXpert.Online.Server.Server server;

        public ErrorVarDialog()
        {
            InitializeComponent();
        }

        public ErrorVarDialog(MLogics.VisXpert.Online.Server.Server server)
        {
            InitializeComponent();
            this.server = server;
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            RefreshView();
        }

        private void RefreshView()
        {
            var stat = ModbusServerStatisticsProvider.GetStatistics(server);
            var sb = new System.Text.StringBuilder();

            foreach(var var in stat.ErrorVars)
            {
                sb.AppendLine(var.ToString());
                sb.AppendLine(var.CurrentError?.ToString());
                sb.AppendLine();
            }

            this.textBox1.Text = sb.ToString();
        }

        private void ErrorVarDialog_Load(object sender, EventArgs e)
        {
            RefreshView();
        }
    }
}
