﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Register_VisXpert_Module_to_VisXpert
{
    internal class Program
    {
        static void Main(string[] args)
        {
            try
            {
                Console.WriteLine("Registering custom Module");

                //This registers the Module to VisXpert
                MLogics.VisXpert.Util.ModuleRegistration.ModuleRegistration.RegisterModule("Custom Module", MLogics.VisXpert.Util.ModuleRegistration.ModuleRegistration.ModuleFlags.isClt, "Exe file Name.exe");
                
                //This places the module inside an Sub Menu Item
                MLogics.VisXpert.Util.ModuleRegistration.ModuleRegistration.SetMenuForModule("Custom Module", "Menu Item");

            }
            catch (UnauthorizedAccessException)
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("This application MUST be run as Administrator, since it will modify the Registry");
            }
            catch (Exception ex)
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine(ex.Message);
            }
        }
    }
}
