﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Example_Get_or_Set_Variables_V2
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            //This sets up the Logging Infrastructure and attaches Default Exception dialogs, if an 
            //Unexpected Exception happens
            MLogics.Logging.LogManager.SetUpDefaultListeners();

            //Alternatively you could also use the "MLogics.VisXpert.Environment.ApplicationBase.Init()"
            //this would do basically the same, but it would use the default VisXpert logging settings

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new GetSetVarsDialog());
        }
    }
}
