﻿using System;
using System.Windows.Forms;

namespace Example_Variable_Driver
{
    public partial class LogViewDialog : Form
    {
        private MLogics.Logging.MessageLogViewTraceListener MsgListener;
        public LogViewDialog()
        {
            InitializeComponent();
            MsgListener = new MLogics.Logging.MessageLogViewTraceListener(this.messageLogView1);
        }

        private void LogViewDialog_Load(object sender, EventArgs e)
        {
            System.Diagnostics.Trace.Listeners.Add(MsgListener);
        }

        private void LogViewDialog_FormClosed(object sender, FormClosedEventArgs e)
        {
            if (!System.Diagnostics.Trace.Listeners.Contains(MsgListener)) return;
            System.Diagnostics.Trace.Listeners.Remove(MsgListener);
        }
    }
}
