# Install VisXpert
You need the latest version of VisXpert installed on you Development machine.
This is needed to have access to the VisXpert API assemblies. And of course
to be able to start VisXpert and interact with it.
You just need the normal standard VisXpert installation. All API assemblies 
are contained in this installer, since they are also used by the VisXpert 
modules them selfs

# Install Visual Studio
You also have to install your Preferred Version of Visual studio. 
You need to install the ".Net Desktop Development" workload. No other 
workloads are required, although you can install any other workload that 
you might require for other purposes.

# Create Visual Studio Project
You can either create an New blank Project, or copy and modify one of the Example Applications. 
Windows Forms, Windows Presentation Foundation (WPF), or Console applications are supported. 
Only .Net Framework applications are supported, .Net core applications are not yet fully supported. 

# Reference VisXpert Assemblies
Once you Crated an new Project, you have to add references to the Required VisXpert API Assemblies, 
in order for them to be usable in your Project. 
You will find the Assemblies in your Installation directory, usually "C:\Program files (x86)\VisXpert\Bin". 
Usually you will want to have at least access to the Online connection, which you will find in the 
"MLogics.VisXpert.Online.dll" assembly. Of course you can add any other assembly to your project as required.

# Processor Architecture
VisXpert is an 32 bit application, and many libraries are still 32 only. This means that you must 
explicitly select "x86" as Processor Architecture. "x64" or "Any" are not supported.